Skip to main content
`Ctrl`+`K`

# PetscSpaceSumGetSubspace

Get a space in the sum space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSumGetSubspace(PetscSpace sp, PetscInt s, PetscSpace *subsp)

## Input Parameters

- sp - the function space object

- s - The space number

## Output Parameter

- subsp - the `PetscSpace`

## Note

The name GetSubspace is slightly misleading because it is actually getting one of the defining spaces of the sum, not a Subspace of it

## See Also

`PETSCSPACESUM`, `PetscSpace`, `PetscSpaceSumSetSubspace()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/sum/spacesum.c

## Implementations

PetscSpaceSumGetSubspace_Sum() in src/dm/dt/space/impls/sum/spacesum.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages